Skip to main content
GET
/
api
/
v1
/
services
List all enabled services (cursor-paginated)
curl --request GET \
  --url https://api.devhelm.io/api/v1/services \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devhelm.io/api/v1/services"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devhelm.io/api/v1/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "slug": "<string>",
      "name": "<string>",
      "adapterType": "<string>",
      "pollingIntervalSeconds": 123,
      "enabled": true,
      "published": true,
      "slaPublished": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "componentCount": 123,
      "activeIncidentCount": 123,
      "dataCompleteness": "<string>",
      "category": "<string>",
      "officialStatusUrl": "<string>",
      "developerContext": "<string>",
      "logoUrl": "<string>",
      "overallStatus": "<string>",
      "uptime30d": 123
    }
  ],
  "hasMore": true,
  "nextCursor": "<string>"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
"status": 404,
"code": "NOT_FOUND",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Query Parameters

category
string

Filter by category (exact match)

status
string

Filter by current overall_status (exact match)

published
boolean

Filter by published status for pSEO pages

slaPublished
boolean

Filter by SLA page publication status

Case-insensitive substring match on service name or slug

sort
string

Result ordering: 'recent' (default, newest first) or 'curated' (curated/recognizable first)

cursor
string

Opaque cursor from a previous response

limit
integer<int32>
default:20

Page size (1–100, default 20)

Response

OK

Cursor-paginated response for time-series and append-only data

data
object[]
required

Items on this page

hasMore
boolean
required

Whether more results exist beyond this page

nextCursor
string | null

Opaque cursor for the next page; null when there are no more results